<?php
/***
 * This software is intended for use with Oxdate Free Dating Software
 * http://www.oxdate.org/ and is licensed under The BSD license.
 * Full text of this license can be found at http://www.oxdate.org/license

 * =============================================================================
 * Copyright (c) 2016 Oxdate.org - All rights reserved.
 * =============================================================================

 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the
 * following conditions are met:

 * Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
   the following disclaimer in the documentation and/or other materials provided with the distribution.
 * Neither the name of the Oxdate Foundation nor the names of its contributors may be used to endorse or promote products
   derived from this software without specific prior written permission.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
***/
OW::getRouter()->addRoute(new OW_Route('membership_admin', 'admin/membership', 'MEMBERSHIP_CTRL_Admin', 'index'));
OW::getRouter()->addRoute(new OW_Route('membership_admin_subscribe', 'admin/membership/subscribe', 'MEMBERSHIP_CTRL_Admin', 'subscribe'));
OW::getRouter()->addRoute(new OW_Route('membership_admin_browse_users_st', 'admin/membership/users', 'MEMBERSHIP_CTRL_Admin', 'users'));
OW::getRouter()->addRoute(new OW_Route('membership_admin_browse_users', 'admin/membership/users/role/:roleId', 'MEMBERSHIP_CTRL_Admin', 'users'));
OW::getRouter()->addRoute(new OW_Route('membership_admin_settings', 'admin/membership/settings', 'MEMBERSHIP_CTRL_Admin', 'settings'));
OW::getRouter()->addRoute(new OW_Route('membership_admin_add', 'admin/membership/add', 'MEMBERSHIP_CTRL_Admin', 'add'));
OW::getRouter()->addRoute(new OW_Route('membership_admin_edit_plans', 'admin/membership/edit-plans', 'MEMBERSHIP_CTRL_Admin', 'editPlans'));
OW::getRouter()->addRoute(new OW_Route('membership_delete_plans', 'admin/membership/ajax/delete-plans', 'MEMBERSHIP_CTRL_Ajax', 'deletePlans'));
OW::getRouter()->addRoute(new OW_Route('membership_delete_type', 'admin/membership/ajax/delete', 'MEMBERSHIP_CTRL_Ajax', 'deleteType'));
OW::getRouter()->addRoute(new OW_Route('membership_subscribe', 'membership/subscribe', 'MEMBERSHIP_CTRL_Subscribe', 'index'));

OW::getRouter()->addRoute(new OW_Route('membership_set', 'membership/ajax/set', 'MEMBERSHIP_CTRL_Ajax', 'set'));

OW_ViewRenderer::getInstance()->registerFunction('membership_format_date', array('MEMBERSHIP_BOL_MembershipService', 'formatDate'));

MEMBERSHIP_CLASS_EventHandler::getInstance()->init();